Bug 826690 - Gnomeradio problem - no window!
Gnomeradio problem - no window!
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnomeradio (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 15:00 EDT by POJAR GEORGE
Modified: 2013-09-22 20:13 EDT (History)
6 users (show)

See Also:
Fixed In Version: gnomeradio-1.8-22.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 00:24:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix gnomeradio_gui function causing a blank main gtk window (420 bytes, patch)
2012-05-30 15:00 EDT, POJAR GEORGE
no flags Details | Diff
Fix (gnomeradio:19587): GLib-GObject-WARNING **: gsignal.c:2295: signal `expose-event' is invalid for instance `0x23b6030' (420 bytes, patch)
2012-05-30 15:01 EDT, POJAR GEORGE
no flags Details | Diff
Fix (gnomeradio:19587): GLib-GObject-WARNING **: gsignal.c:2295: signal `expose-event' is invalid for instance `0x23b6030' (1.35 KB, patch)
2012-05-30 15:03 EDT, POJAR GEORGE
no flags Details | Diff
587812: Fix (gnomeradio:19587): GLib-GObject-WARNING **: gsignal.c:2295: signal `expose-event' is invalid for instance `0x23b6030' (1.35 KB, patch)
2012-05-30 15:04 EDT, POJAR GEORGE
no flags Details | Diff

  None (edit)
Description POJAR GEORGE 2012-05-30 15:00:03 EDT
Created attachment 587810 [details]
Fix gnomeradio_gui function causing a blank main gtk window

Description of problem:

After starting gnomeradio from shell I get this message:

(gnomeradio:19587): GLib-GObject-WARNING **: gsignal.c:2295: signal `expose-event' is invalid for instance `0x23b6030' 

I hear the sound, but I have not gnomeradio window (the package don't draw
anything in the gui, it just appears a small window without any button or icon). 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1.install gnomeradio
2.start gnomeradio from shell
  
Actual results:

get this message:

(gnomeradio:19587): GLib-GObject-WARNING **: gsignal.c:2295: signal `expose-event' is invalid for instance `0x23b6030' 

and the package don't draw anything in the gui, it just appears a small window without any button or icon.

Expected results:

gnomeradio GUI 

Additional info:

1. Here is a bug in the gtk main window constructor in gui.c, gnome_radio_gui function causing a blank main gtk window.

I've fixed it with a small patch:

 fix_gnomeradio_gui.patch

2. 'The GtkWidget "expose-event" signal has been replaced by a new "draw" signal, which takes a cairo_t instead of an expose event.' See http://developer.gnome.org/gtk3/stab...html#id1574386, form more information.

I've fixed it with a small patch:

 fix_gnomeradio_expose-event.patch
Comment 1 POJAR GEORGE 2012-05-30 15:01:06 EDT
Created attachment 587811 [details]
Fix (gnomeradio:19587): GLib-GObject-WARNING **: gsignal.c:2295: signal `expose-event' is invalid for instance `0x23b6030'
Comment 2 POJAR GEORGE 2012-05-30 15:03:54 EDT
Created attachment 587812 [details]
Fix (gnomeradio:19587): GLib-GObject-WARNING **: gsignal.c:2295: signal `expose-event' is invalid for instance `0x23b6030'
Comment 3 POJAR GEORGE 2012-05-30 15:04:54 EDT
Created attachment 587813 [details]
587812: Fix (gnomeradio:19587): GLib-GObject-WARNING **: gsignal.c:2295: signal `expose-event' is invalid for instance `0x23b6030'
Comment 4 srakitnican 2012-08-05 13:29:50 EDT
I can confirm the same behavior with F17 and package gnomeradio.i686 0:1.8-17.fc17

bash-4.2$ gnomeradio

(gnomeradio:2489): GLib-GObject-WARNING **: gsignal.c:2459: signal `expose-event' is invalid for instance `0x9e08898'
Initializing v4l2 failed
89.25 is a station
98.60 is a station
101.30 is a station
101.70 is a station
104.70 is a station

(gnomeradio:2489): gnomeradio-CRITICAL **: create_tray_icon: assertion `pixbuf' failed
lirc_init: No such file or directory
gnomeradio-Message: Could not start lirc!
Comment 5 lihannopresitutti 2012-08-12 03:26:01 EDT
I also confirm the same problem on fedora 17 x86_64

GLib-GObject-WARNING **: gsignal.c:2459: signal `expose-event' is invalid for instance `0x100a2c0'
Comment 6 Paulo Roma Cavalcanti 2012-10-25 19:27:24 EDT
I have a fixed .src.rpm here:

http://orion.lcg.ufrj.br/RPMS/src/gnomeradio-1.8-18.fc17.src.rpm
Comment 7 lihannopresitutti 2012-11-01 02:46:08 EDT
Yes, this works, thanks
Comment 8 Fedora End Of Life 2013-04-03 10:39:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora Update System 2013-09-12 06:25:35 EDT
gnomeradio-1.8-22.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnomeradio-1.8-22.fc19
Comment 10 Fedora Update System 2013-09-12 06:25:48 EDT
gnomeradio-1.8-22.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnomeradio-1.8-22.fc20
Comment 11 Fedora Update System 2013-09-12 06:25:58 EDT
gnomeradio-1.8-22.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnomeradio-1.8-22.fc18
Comment 12 Fedora Update System 2013-09-12 12:29:12 EDT
Package gnomeradio-1.8-22.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnomeradio-1.8-22.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16535/gnomeradio-1.8-22.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-09-22 00:24:00 EDT
gnomeradio-1.8-22.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-09-22 00:25:34 EDT
gnomeradio-1.8-22.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-09-22 20:13:59 EDT
gnomeradio-1.8-22.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.